
typedef union  {
  double real_value;
  long   int_value;
  struct fraction frac_value;
  CONST char *id_ptr;
  CONST char *braced_ptr;	/* pointer for units, explanations, tables */
  CONST char *sym_ptr;		/* pointer for symbols */
  CONST char *dquote_ptr;       /* for text in "double quotes" */
  struct Name *nptr;
  struct Expr *eptr;
  struct Set *sptr;
  struct VariableList *lptr;
  struct Statement *statptr;
  struct StatementList *slptr;
  struct SelectList *septr;
  struct SwitchList *swptr;
  struct WhenList *wptr;
  void *notesptr;		/* change this once struct Notes is defined */
  struct gl_list_t *listp;
  struct InitProcedure *procptr;
  CONST dim_type *dimp;
  struct TypeDescription *tptr;
  struct UnitDefinition *udefptr;
  dim_type dimen;
  enum ForOrder order;
} ZZ_STYPE;
extern ZZ_STYPE zz_lval;
# define ADD_T 257
# define ALIASES_T 258
# define AND_T 259
# define ANY_T 260
# define AREALIKE_T 261
# define ARETHESAME_T 262
# define ARRAY_T 263
# define ATOM_T 264
# define BEQ_T 265
# define BNE_T 266
# define BREAK_T 267
# define CALL_T 268
# define CARD_T 269
# define CASE_T 270
# define CHOICE_T 271
# define CONDITIONAL_T 272
# define CONSTANT_T 273
# define CREATE_T 274
# define DATA_T 275
# define DECREASING_T 276
# define DEFAULT_T 277
# define DEFINITION_T 278
# define DIMENSION_T 279
# define DIMENSIONLESS_T 280
# define DO_T 281
# define ELSE_T 282
# define END_T 283
# define EXTERNAL_T 284
# define FALSE_T 285
# define FOR_T 286
# define FROM_T 287
# define IF_T 288
# define IMPORT_T 289
# define IN_T 290
# define INPUT_T 291
# define INCREASING_T 292
# define INTERACTIVE_T 293
# define INTERSECTION_T 294
# define ISA_T 295
# define _IS_T 296
# define ISREFINEDTO_T 297
# define MAXIMIZE_T 298
# define MAXINTEGER_T 299
# define MAXREAL_T 300
# define METHODS_T 301
# define METHOD_T 302
# define MINIMIZE_T 303
# define MODEL_T 304
# define NOT_T 305
# define NOTES_T 306
# define OF_T 307
# define OR_T 308
# define OTHERWISE_T 309
# define OUTPUT_T 310
# define PATCH_T 311
# define PROD_T 312
# define PROVIDE_T 313
# define REFINES_T 314
# define REPLACE_T 315
# define REQUIRE_T 316
# define RUN_T 317
# define SATISFIED_T 318
# define SELECT_T 319
# define SIZE_T 320
# define SUCHTHAT_T 321
# define SUM_T 322
# define SWITCH_T 323
# define THEN_T 324
# define TRUE_T 325
# define UNION_T 326
# define UNITS_T 327
# define UNIVERSAL_T 328
# define WHEN_T 329
# define WHERE_T 330
# define WILLBE_T 331
# define WILLBETHESAME_T 332
# define WILLNOTBETHESAME_T 333
# define ASSIGN_T 334
# define CASSIGN_T 335
# define DBLCOLON_T 336
# define USE_T 337
# define LEQ_T 338
# define GEQ_T 339
# define NEQ_T 340
# define DOTDOT_T 341
# define WITH_T 342
# define VALUE_T 343
# define WITH_VALUE_T 344
# define REAL_T 345
# define INTEGER_T 346
# define IDENTIFIER_T 347
# define BRACEDTEXT_T 348
# define SYMBOL_T 349
# define DQUOTE_T 350
# define UMINUS_T 351
# define UPLUS_T 352
